package com.fs.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.system.domain.SysKeyword;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 系统关键字Mapper接口
 *
 * @author fs
 * @date 2025-05-14
 */
public interface SysKeywordMapper extends BaseMapper<SysKeyword>{
    /**
     * 查询系统关键字
     *
     * @param keywordId 系统关键字主键
     * @return 系统关键字
     */
    SysKeyword selectSysKeywordById(Long keywordId);

    /**
     * 查询系统关键字列表
     *
     * @param sysKeyword 系统关键字
     * @return 系统关键字集合
     */
    List<SysKeyword> selectSysKeywordList(SysKeyword sysKeyword);

    /**
     * 新增系统关键字
     *
     * @param sysKeyword 系统关键字
     * @return 结果
     */
    int insertSysKeyword(SysKeyword sysKeyword);

    /**
     * 修改系统关键字
     *
     * @param sysKeyword 系统关键字
     * @return 结果
     */
    int updateSysKeyword(SysKeyword sysKeyword);

    /**
     * 删除系统关键字
     *
     * @param keywordId 系统关键字主键
     * @return 结果
     */
    int deleteSysKeywordById(Long keywordId);

    /**
     * 批量删除系统关键字
     *
     * @param keywordIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysKeywordByIds(@Param("keywordIds") Long[] keywordIds);

    List<SysKeyword> selectSysKeywordByIds(@Param("keywordIds") Long[] keywordIds);
}
